Inteligência de Mercado API
Grupo de Exchanges do Japão News API
Segmento da Bolsa de Valores de Tóquio para empresas que buscam alto crescimento, focando mais em emissores em estágio de expansão e emergentes, em vez dos maiores mercados Prime ou Standard.
Referência da API Versão: 1.0.0 3 Pontos finais Autenticação
URL base
https://api.pressmonitor.com/news-xjpg/v1 Autenticação
Todas as requisições usam autenticação por token Bearer. Adicione o cabeçalho Authorization a cada chamada.
Authorization: Bearer YOUR_TOKEN GET
/headlines Obter Manchetes de Notícias
News Headlines
Parâmetros
| Nome | Tipo | Localização | Obrigatório | Descrição |
|---|---|---|---|---|
| code | string | query | Sim | Código da entidade (ex., código de ação, código de indústria) |
| lang_code | string | query | Não | Filtrar por código de idioma (ISO 639-1) |
| country_code | string | query | Não | Filtrar por código do país (ISO 3166-1 alfa-2) |
| count | integer | query | Não | Número de resultados a retornar |
| cursor | string | query | Não | Cursor de paginação (alternativa a search_after) |
Exemplos de Código
curl --request GET \ --url 'https://api.pressmonitor.com/news-xjpg/v1/headlines?code=SOME_STRING_VALUE&lang_code=SOME_STRING_VALUE&country_code=SOME_STRING_VALUE&count=SOME_INTEGER_VALUE&cursor=SOME_STRING_VALUE' const http = require("https"); const options = { "method": "GET", "hostname": "api.pressmonitor.com", "port": null, "path": "/news-xjpg/v1/headlines?code=SOME_STRING_VALUE&lang_code=SOME_STRING_VALUE&country_code=SOME_STRING_VALUE&count=SOME_INTEGER_VALUE&cursor=SOME_STRING_VALUE", "headers": {} }; const req = http.request(options, function (res) { const chunks = []; res.on("data", function (chunk) { chunks.push(chunk); }); res.on("end", function () { const body = Buffer.concat(chunks); console.log(body.toString()); }); }); req.end(); import requests url = "https://api.pressmonitor.com/news-xjpg/v1/headlines" querystring = {"code":"SOME_STRING_VALUE","lang_code":"SOME_STRING_VALUE","country_code":"SOME_STRING_VALUE","count":"SOME_INTEGER_VALUE","cursor":"SOME_STRING_VALUE"} response = requests.request("GET", url, params=querystring) print(response.text) <?php $curl = curl_init(); curl_setopt_array($curl, [ CURLOPT_URL => "https://api.pressmonitor.com/news-xjpg/v1/headlines?code=SOME_STRING_VALUE&lang_code=SOME_STRING_VALUE&country_code=SOME_STRING_VALUE&count=SOME_INTEGER_VALUE&cursor=SOME_STRING_VALUE", CURLOPT_RETURNTRANSFER => true, CURLOPT_ENCODING => "", CURLOPT_MAXREDIRS => 10, CURLOPT_TIMEOUT => 30, CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1, CURLOPT_CUSTOMREQUEST => "GET", ]); $response = curl_exec($curl); $err = curl_error($curl); curl_close($curl); if ($err) { echo "cURL Error #:" . $err; } else { echo $response; } OkHttpClient client = new OkHttpClient(); Request request = new Request.Builder() .url("https://api.pressmonitor.com/news-xjpg/v1/headlines?code=SOME_STRING_VALUE&lang_code=SOME_STRING_VALUE&country_code=SOME_STRING_VALUE&count=SOME_INTEGER_VALUE&cursor=SOME_STRING_VALUE") .get() .build(); Response response = client.newCall(request).execute(); Respostas
200 Sucesso
GET
/briefs Obter Resumos de Notícias
News Briefs
Parâmetros
| Nome | Tipo | Localização | Obrigatório | Descrição |
|---|---|---|---|---|
| code | string | query | Sim | Código da entidade (ex., código de ação, código de indústria) |
| lang_code | string | query | Não | Filtrar por código de idioma (ISO 639-1) |
| country_code | string | query | Não | Filtrar por código do país (ISO 3166-1 alfa-2) |
| count | integer | query | Não | Número de resultados a retornar |
| cursor | string | query | Não | Cursor de paginação (alternativa a search_after) |
Exemplos de Código
curl --request GET \ --url 'https://api.pressmonitor.com/news-xjpg/v1/briefs?code=SOME_STRING_VALUE&lang_code=SOME_STRING_VALUE&country_code=SOME_STRING_VALUE&count=SOME_INTEGER_VALUE&cursor=SOME_STRING_VALUE' const http = require("https"); const options = { "method": "GET", "hostname": "api.pressmonitor.com", "port": null, "path": "/news-xjpg/v1/briefs?code=SOME_STRING_VALUE&lang_code=SOME_STRING_VALUE&country_code=SOME_STRING_VALUE&count=SOME_INTEGER_VALUE&cursor=SOME_STRING_VALUE", "headers": {} }; const req = http.request(options, function (res) { const chunks = []; res.on("data", function (chunk) { chunks.push(chunk); }); res.on("end", function () { const body = Buffer.concat(chunks); console.log(body.toString()); }); }); req.end(); import requests url = "https://api.pressmonitor.com/news-xjpg/v1/briefs" querystring = {"code":"SOME_STRING_VALUE","lang_code":"SOME_STRING_VALUE","country_code":"SOME_STRING_VALUE","count":"SOME_INTEGER_VALUE","cursor":"SOME_STRING_VALUE"} response = requests.request("GET", url, params=querystring) print(response.text) <?php $curl = curl_init(); curl_setopt_array($curl, [ CURLOPT_URL => "https://api.pressmonitor.com/news-xjpg/v1/briefs?code=SOME_STRING_VALUE&lang_code=SOME_STRING_VALUE&country_code=SOME_STRING_VALUE&count=SOME_INTEGER_VALUE&cursor=SOME_STRING_VALUE", CURLOPT_RETURNTRANSFER => true, CURLOPT_ENCODING => "", CURLOPT_MAXREDIRS => 10, CURLOPT_TIMEOUT => 30, CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1, CURLOPT_CUSTOMREQUEST => "GET", ]); $response = curl_exec($curl); $err = curl_error($curl); curl_close($curl); if ($err) { echo "cURL Error #:" . $err; } else { echo $response; } OkHttpClient client = new OkHttpClient(); Request request = new Request.Builder() .url("https://api.pressmonitor.com/news-xjpg/v1/briefs?code=SOME_STRING_VALUE&lang_code=SOME_STRING_VALUE&country_code=SOME_STRING_VALUE&count=SOME_INTEGER_VALUE&cursor=SOME_STRING_VALUE") .get() .build(); Response response = client.newCall(request).execute(); Respostas
200 Sucesso
GET
/fulltext Obter Notícias em Texto Completo
News Fulltext
Parâmetros
| Nome | Tipo | Localização | Obrigatório | Descrição |
|---|---|---|---|---|
| code | string | query | Sim | Código da entidade (ex., código de ação, código de indústria) |
| lang_code | string | query | Não | Filtrar por código de idioma (ISO 639-1) |
| country_code | string | query | Não | Filtrar por código do país (ISO 3166-1 alfa-2) |
| count | integer | query | Não | Número de resultados a retornar |
| cursor | string | query | Não | Cursor de paginação (alternativa a search_after) |
Exemplos de Código
curl --request GET \ --url 'https://api.pressmonitor.com/news-xjpg/v1/fulltext?code=SOME_STRING_VALUE&lang_code=SOME_STRING_VALUE&country_code=SOME_STRING_VALUE&count=SOME_INTEGER_VALUE&cursor=SOME_STRING_VALUE' const http = require("https"); const options = { "method": "GET", "hostname": "api.pressmonitor.com", "port": null, "path": "/news-xjpg/v1/fulltext?code=SOME_STRING_VALUE&lang_code=SOME_STRING_VALUE&country_code=SOME_STRING_VALUE&count=SOME_INTEGER_VALUE&cursor=SOME_STRING_VALUE", "headers": {} }; const req = http.request(options, function (res) { const chunks = []; res.on("data", function (chunk) { chunks.push(chunk); }); res.on("end", function () { const body = Buffer.concat(chunks); console.log(body.toString()); }); }); req.end(); import requests url = "https://api.pressmonitor.com/news-xjpg/v1/fulltext" querystring = {"code":"SOME_STRING_VALUE","lang_code":"SOME_STRING_VALUE","country_code":"SOME_STRING_VALUE","count":"SOME_INTEGER_VALUE","cursor":"SOME_STRING_VALUE"} response = requests.request("GET", url, params=querystring) print(response.text) <?php $curl = curl_init(); curl_setopt_array($curl, [ CURLOPT_URL => "https://api.pressmonitor.com/news-xjpg/v1/fulltext?code=SOME_STRING_VALUE&lang_code=SOME_STRING_VALUE&country_code=SOME_STRING_VALUE&count=SOME_INTEGER_VALUE&cursor=SOME_STRING_VALUE", CURLOPT_RETURNTRANSFER => true, CURLOPT_ENCODING => "", CURLOPT_MAXREDIRS => 10, CURLOPT_TIMEOUT => 30, CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1, CURLOPT_CUSTOMREQUEST => "GET", ]); $response = curl_exec($curl); $err = curl_error($curl); curl_close($curl); if ($err) { echo "cURL Error #:" . $err; } else { echo $response; } OkHttpClient client = new OkHttpClient(); Request request = new Request.Builder() .url("https://api.pressmonitor.com/news-xjpg/v1/fulltext?code=SOME_STRING_VALUE&lang_code=SOME_STRING_VALUE&country_code=SOME_STRING_VALUE&count=SOME_INTEGER_VALUE&cursor=SOME_STRING_VALUE") .get() .build(); Response response = client.newCall(request).execute(); Respostas
200 Sucesso